## com.fasterxml.jackson.core
Class TreeCodec

    java.lang.Object
      com.fasterxml.jackson.core.TreeCodec

Direct Known Subclasses:
  ObjectCodec

    public abstract class TreeCodec

extends Object

Interface that defines objects that can read and write `TreeNode` instances using Streaming API.

Since:
  2.3

Constructor Summary
`TreeCodec()`

Method Summary
`abstract TreeNode` `createArrayNode()`
`abstract TreeNode` `createObjectNode()`

`abstract

`<T extends TreeNode> T`

`

`readTree(JsonParser p)`

`abstract JsonParser` `treeAsTokens(TreeNode node)`
`abstract void` `writeTree(JsonGenerator g, TreeNode tree)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeCodec

    public TreeCodec()

Method Detail

### readTree

    public abstract <T extends TreeNode> T readTree(JsonParser p)
                                         throws IOException,
                                                JsonProcessingException

  Throws:
    `IOException`
    `JsonProcessingException`

### writeTree

    public abstract void writeTree(JsonGenerator g,
                                   TreeNode tree)
                            throws IOException,
                                   JsonProcessingException

  Throws:
    `IOException`
    `JsonProcessingException`

### createArrayNode

    public abstract TreeNode createArrayNode()

### createObjectNode

    public abstract TreeNode createObjectNode()

### treeAsTokens

    public abstract JsonParser treeAsTokens(TreeNode node)

Copyright © 2008-2016 FasterXML. All Rights Reserved.